# - Config file for the mshr package
# It defines the following variables
#  MSHR_INCLUDE_DIRS  - include directories for mshr
#  MSHR_LIBRARIES_DIR - directory where the mshr library is located
#  MSHR_LIBRARIES     - libraries to link against
 
# Compute paths
get_filename_component(MSHR_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(MSHR_INCLUDE_DIRS "/usr/local/include")
set(MSHR_EXTERNAL_INCLUDE_DIRS "/usr/lib/python2.7/site-packages/numpy/core/include;/usr/include/python2.7;/usr/include;/usr/include;/usr/include;/usr/include/eigen3;/usr/include;/usr/include;/usr/include;/opt/petsc/linux-c-opt/include;/usr/include;/usr/include/vtk-6.1;/usr/include;/usr/include/freetype2")
set(MSHR_LIBRARIES_DIRS "/usr/local/lib")
set(MSHR_EXTERNAL_LIBRARIES "/usr/lib/libpython2.7.so;dolfin;")
set(MSHR_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"2016.2.0.dev0\";-DDEBUG;-DDOLFIN_SIZE_T=8;-DDOLFIN_LA_INDEX_SIZE=4;-DHAS_HDF5;-D_FORTIFY_SOURCE=2;-DHAS_TRILINOS;-DHAS_PETSC;-DHAS_ZLIB;-DHAS_MPI;-DHAS_OPENMP;-DHAS_VTK")
set(MSHR_CXX_FLAGS "-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong  -std=c++11  -Wno-deprecated   -fopenmp")
set(MSHR_LIBRARIES mshr)

set(MSHR_USE_FILE "${MSHR_CMAKE_DIR}/use-mshr.cmake")
